NisusWrtTextInternal::Footnote Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
NisusWrtTextInternal::Footnote Struct Reference

Internal structure: use to store a footnote. More...

## Public Member Functions
| Footnote ()
| Constructor. More...
std::string | getTextLabel (int actId) const
| returns a label corresponding to a note ( or nothing if we can use numbering note) More...

## Public Attributes
int | m_number
| the note number More...
int | m_paragraph [2]
| the paragraph position in the footnote zone (first and last) More...
NisusWrtStruct::Position | m_textPosition
| the text position More...
std::string | m_textLabel
| the label in the text More...
std::string | m_noteLabel
| the label in the note More...
bool | m_parsed
| a flag to know if the footnote is parsed More...
std::string | m_extra
| some extra debuging information More...

## Friends
std::ostream & | operator<< (std::ostream &o, Footnote const &ft)
| operator<< More...

## Detailed Description

Internal structure: use to store a footnote.

## Constructor & Destructor Documentation

NisusWrtTextInternal::Footnote::Footnote | ( |  | ) |
| inline

Constructor.

## Member Function Documentation

std::string NisusWrtTextInternal::Footnote::getTextLabel | ( | int | actId | ) | const
| inline

returns a label corresponding to a note ( or nothing if we can use numbering note)

Referenced by NisusWrtText::sendText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Footnote const & | ft
| ) |  |
| friend

operator<<

## Member Data Documentation

std::string NisusWrtTextInternal::Footnote::m_extra

some extra debuging information

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFootnotes().

std::string NisusWrtTextInternal::Footnote::m_noteLabel

the label in the note

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFootnotes().

int NisusWrtTextInternal::Footnote::m_number

the note number

Referenced by NisusWrtTextInternal::operator<<(), NisusWrtText::readFootnotes(), and NisusWrtText::sendText().

int NisusWrtTextInternal::Footnote::m_paragraph[2]

the paragraph position in the footnote zone (first and last)

Referenced by NisusWrtTextInternal::operator<<(), NisusWrtText::readFootnotes(), and NisusWrtText::sendFootnote().

bool NisusWrtTextInternal::Footnote::m_parsed
| mutable

a flag to know if the footnote is parsed

Referenced by NisusWrtText::sendFootnote().

std::string NisusWrtTextInternal::Footnote::m_textLabel

the label in the text

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFootnotes().

NisusWrtStruct::Position NisusWrtTextInternal::Footnote::m_textPosition

the text position

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFootnotes().

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx